Skip to main content
POST
Create/Replace Multiple
Upload schemas in bulk to the specified project. If a schema already exists for a specified entity, it will be replaced by the one you upload.
Metadata merging behaviorIf the new schema is missing metadata properties that are currently set in the existing schema for that entity, those properties will be merged into the new schema. For example, if your current schema has {"metadata": {"com.mixpanel": {"hidden": true}}} and you upload a new schema without “hidden”, we will merge "hidden": true to your uploaded schema’s metadata. If you want to remove that property, set the value to null.
Adding a schema for User ProfilesTo add a schema for your User Profiles, specify the entityType as profile and the name as $user.

Example POST Body

Authorizations

Authorization
string
header
required

Service Account

Path Parameters

projectId
integer
required

Your project id (eg: 12345)

Body

application/json
entries
object[]
required

The list of schema entries to upload

truncate
boolean
default:false

If true, delete your entire data dictionary before inserting these entries. This is primarily useful if you want to upload a single file that represents your entire data dictionary.

Response

Success

results
object
status
enum<string>
Available options:
ok